Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::TermVectorOffsetInfo Class Reference

The TermVectorOffsetInfo class holds information pertaining to a Term in a `TermPositionVector`'s offset information. This offset information is the character offset as set during the Analysis phase (and thus may not be the actual offset in the original content). More...

`#include <TermVectorOffsetInfo.h>`

Inheritance diagram for Lucene::TermVectorOffsetInfo:

## Public Member Functions

| TermVectorOffsetInfo (int32_t startOffset=0, int32_t endOffset=0)
virtual | ~TermVectorOffsetInfo ()
virtual String | getClassName ()
boost::shared_ptr< TermVectorOffsetInfo > | shared_from_this ()
int32_t | getEndOffset ()
| The accessor for the ending offset for the term.
void | setEndOffset (int32_t endOffset)
int32_t | getStartOffset ()
| The accessor for the starting offset of the term.
void | setStartOffset (int32_t startOffset)
virtual bool | equals (const LuceneObjectPtr &other)
| Two TermVectorOffsetInfos are equals if both the start and end offsets are the same.
virtual int32_t | hashCode ()
| Return hash code for this object.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
static const Collection< TermVectorOffsetInfoPtr > | EMPTY_OFFSET_INFO ()
| Convenience declaration when creating a `TermPositionVector` that stores only position information.

## Protected Attributes

int32_t | startOffset
int32_t | endOffset
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

The TermVectorOffsetInfo class holds information pertaining to a Term in a `TermPositionVector`'s offset information. This offset information is the character offset as set during the Analysis phase (and thus may not be the actual offset in the original content).

## Constructor & Destructor Documentation

## ◆ TermVectorOffsetInfo()

Lucene::TermVectorOffsetInfo::TermVectorOffsetInfo | ( | int32_t | startOffset = `0`,
|  | int32_t | endOffset = `0`
| ) |  |

## ◆ ~TermVectorOffsetInfo()

virtual Lucene::TermVectorOffsetInfo::~TermVectorOffsetInfo | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::TermVectorOffsetInfo::_getClassName | ( |  | ) |

inline static

## ◆ EMPTY_OFFSET_INFO()

static const Collection< TermVectorOffsetInfoPtr > Lucene::TermVectorOffsetInfo::EMPTY_OFFSET_INFO | ( |  | ) |

static

Convenience declaration when creating a `TermPositionVector` that stores only position information.

## ◆ equals()

virtual bool Lucene::TermVectorOffsetInfo::equals | ( | const LuceneObjectPtr & | other | ) |

virtual

Two TermVectorOffsetInfos are equals if both the start and end offsets are the same.

Returns
  true if both `getStartOffset()` and `getEndOffset()` are the same for both objects.

Reimplemented from Lucene::LuceneObject.

## ◆ getClassName()

virtual String Lucene::TermVectorOffsetInfo::getClassName | ( |  | ) |

inline virtual

## ◆ getEndOffset()

int32_t Lucene::TermVectorOffsetInfo::getEndOffset | ( |  | ) |

The accessor for the ending offset for the term.

## ◆ getStartOffset()

int32_t Lucene::TermVectorOffsetInfo::getStartOffset | ( |  | ) |

The accessor for the starting offset of the term.

## ◆ hashCode()

virtual int32_t Lucene::TermVectorOffsetInfo::hashCode | ( |  | ) |

virtual

Return hash code for this object.

Reimplemented from Lucene::LuceneObject.

## ◆ setEndOffset()

void Lucene::TermVectorOffsetInfo::setEndOffset | ( | int32_t | endOffset | ) |

## ◆ setStartOffset()

void Lucene::TermVectorOffsetInfo::setStartOffset | ( | int32_t | startOffset | ) |

## ◆ shared_from_this()

boost::shared_ptr< TermVectorOffsetInfo > Lucene::TermVectorOffsetInfo::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ endOffset

int32_t Lucene::TermVectorOffsetInfo::endOffset

protected

## ◆ startOffset

int32_t Lucene::TermVectorOffsetInfo::startOffset

protected

The documentation for this class was generated from the following file:

- TermVectorOffsetInfo.h

clucene.sourceforge.net